

CREATE TABLE IF NOT EXISTS `ci_sessions` (
  `session_id` varchar(40) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  `ip_address` varchar(45) COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
  `user_agent` varchar(120) COLLATE utf8_unicode_ci NOT NULL,
  `last_activity` int(10) unsigned NOT NULL DEFAULT '0',
  `user_data` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`session_id`),
  KEY `last_activity_idx` (`last_activity`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `enquire`
--

CREATE TABLE IF NOT EXISTS `enquire` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `property_id` int(11) NOT NULL,
  `name_surname` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `phone` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `mail` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8_unicode_ci,
  `readed` binary(1) DEFAULT '0',
  `address` text COLLATE utf8_unicode_ci,
  `fromdate` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `todate` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_enquire_property1` (`property_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Dumping data for table `enquire`
--

INSERT INTO `enquire` (`id`, `property_id`, `name_surname`, `phone`, `date`, `mail`, `message`, `readed`, `address`, `fromdate`, `todate`) VALUES
(2, 31, 'Fatemeh', '5345345', '2014-07-16 18:49:56', 'persianscript.ir@gmail.com', 'سلام\r\nمن این خونه رو میخوام', '1', 'نیشابور', '2014-07-24', '2014-07-31');

-- --------------------------------------------------------

--
-- Table structure for table `file`
--

CREATE TABLE IF NOT EXISTS `file` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order` int(11) DEFAULT NULL,
  `filename` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `filetype` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `repository_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `filename_UNIQUE` (`filename`),
  KEY `fk_file_repository1` (`repository_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=103 ;

--
-- Dumping data for table `file`
--

INSERT INTO `file` (`id`, `order`, `filename`, `filetype`, `repository_id`) VALUES
(5, 1, '635490851_652a702991_b.jpg', 'image/jpeg', 22),
(6, 2, '513277853_6a7ffdcd84_b.jpg', 'image/jpeg', 22),
(7, 3, '456613376_71b9d225ee_b.jpg', 'image/jpeg', 22),
(62, 28, '1045323612_33405a7b3a_o.jpg', 'image/jpeg', 25),
(63, 29, '635490851_652a702991_b (1).jpg', 'image/jpeg', 25),
(91, 35, '413539183_cc8e400d9d_o.jpg', 'image/jpeg', 24),
(92, 36, '413539186_5b9d7a1390_o.jpg', 'image/jpeg', 24),
(93, 37, '413539179_0f7a2d340c_o.jpg', 'image/jpeg', 24),
(94, 38, '413539182_ca0a93549d_o.jpg', 'image/jpeg', 24),
(95, 39, '431262903_9d77804a5b_o (3).jpg', 'image/jpeg', 204),
(96, 40, '431262910_33356f1671_o (2).jpg', 'image/jpeg', 204),
(97, 41, '431262907_bf66c3cd6f_o (2).jpg', 'image/jpeg', 204),
(98, 42, '431262903_9d77804a5b_o (4).jpg', 'image/jpeg', 204),
(101, 43, 'property1-map.jpg', 'image/jpeg', 206),
(102, 44, 'property2-map.jpg', 'image/jpeg', 207);

-- --------------------------------------------------------

--
-- Table structure for table `language`
--

CREATE TABLE IF NOT EXISTS `language` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `language` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `default` binary(1) DEFAULT '0',
  `is_locked` tinyint(1) DEFAULT '0',
  `is_frontend` tinyint(1) DEFAULT '1',
  `is_rtl` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `code_UNIQUE` (`code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- Dumping data for table `language`
--

INSERT INTO `language` (`id`, `code`, `language`, `default`, `is_locked`, `is_frontend`, `is_rtl`) VALUES
(1, 'fa', 'farsi', '1', 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `option`
--

CREATE TABLE IF NOT EXISTS `option` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT NULL,
  `order` int(11) DEFAULT NULL,
  `type` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `visible` tinyint(1) DEFAULT '0',
  `is_locked` tinyint(1) DEFAULT '0',
  `is_frontend` tinyint(1) DEFAULT '1',
  `is_hardlocked` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=43 ;

--
-- Dumping data for table `option`
--

INSERT INTO `option` (`id`, `parent_id`, `order`, `type`, `visible`, `is_locked`, `is_frontend`, `is_hardlocked`) VALUES
(1, 0, 10, 'CATEGORY', 0, 0, 1, 1),
(2, 1, 12, 'DROPDOWN', 1, 1, 1, 1),
(3, 1, 16, 'DROPDOWN', 0, 1, 1, 0),
(4, 1, 11, 'DROPDOWN', 1, 1, 1, 1),
(5, 1, 13, 'DROPDOWN', 0, 1, 1, 1),
(6, 0, 9, 'DROPDOWN', 0, 1, 1, 1),
(7, 1, 14, 'INPUTBOX', 1, 1, 1, 1),
(8, 0, 6, 'TEXTAREA', 0, 1, 1, 1),
(10, 0, 1, 'INPUTBOX', 0, 1, 1, 1),
(11, 21, 23, 'CHECKBOX', 0, 1, 1, 0),
(17, 0, 7, 'TEXTAREA', 0, 1, 1, 1),
(19, 1, 18, 'INPUTBOX', 0, 1, 1, 0),
(20, 1, 19, 'INPUTBOX', 0, 1, 1, 0),
(21, 0, 22, 'CATEGORY', 0, 1, 1, 1),
(22, 21, 24, 'CHECKBOX', 0, 1, 1, 0),
(23, 21, 25, 'CHECKBOX', 0, 0, 1, 0),
(24, 21, 26, 'CHECKBOX', 0, 0, 1, 0),
(25, 21, 27, 'CHECKBOX', 0, 1, 1, 0),
(26, 21, 18, 'CHECKBOX', 0, 1, 1, 0),
(27, 21, 28, 'CHECKBOX', 0, 1, 1, 0),
(28, 21, 29, 'CHECKBOX', 0, 1, 1, 0),
(29, 21, 30, 'CHECKBOX', 0, 1, 1, 0),
(30, 21, 31, 'CHECKBOX', 0, 1, 1, 0),
(31, 21, 32, 'CHECKBOX', 0, 0, 1, 0),
(32, 21, 33, 'CHECKBOX', 0, 1, 1, 0),
(33, 21, 34, 'CHECKBOX', 0, 1, 1, 0),
(34, 0, 4, 'INPUTBOX', 0, 1, 1, 0),
(35, 0, 26, 'INPUTBOX', 0, 1, 1, 0),
(36, 1, 20, 'INPUTBOX', 0, 1, 1, 1),
(37, 1, 21, 'INPUTBOX', 0, 1, 1, 1),
(38, 0, 8, 'DROPDOWN', 0, 1, 0, 1),
(39, 1, 17, 'DROPDOWN', 0, 1, 1, 0),
(40, 1, 15, 'INPUTBOX', 0, 1, 1, 1),
(41, 1, 16, 'CHECKBOX', 0, 0, 0, 0),
(42, 0, 26, 'CATEGORY', 0, 1, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `option_lang`
--

CREATE TABLE IF NOT EXISTS `option_lang` (
  `id_option_lang` int(11) NOT NULL AUTO_INCREMENT,
  `option_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `option` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `values` text COLLATE utf8_unicode_ci,
  `suffix` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id_option_lang`),
  UNIQUE KEY `id_UNIQUE` (`id_option_lang`),
  KEY `fk_option_lang_language1` (`language_id`),
  KEY `fk_option_lang_option1` (`option_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=293 ;

--
-- Dumping data for table `option_lang`
--

INSERT INTO `option_lang` (`id_option_lang`, `option_id`, `language_id`, `option`, `values`, `suffix`) VALUES
(63, 7, 1, 'شهر', '', NULL),
(82, 11, 1, 'بالکن', '', NULL),
(90, 21, 1, 'General amenities', '', NULL),
(118, 3, 1, 'متراژ', 'کمتر از 50 متر,50 تا 100 متر,100 تا 150 متر,150 تا 250 متر,250 تا 500 متر,500 تا 1000 متر,بیشتر از 1000 متر', NULL),
(140, 37, 1, 'قیمت اجاره', '', 'تومان'),
(152, 2, 1, 'نوع', 'آپارتمان,ویلا,زمین,باغ,چاه آب,مغازه تجاری', ''),
(156, 40, 1, 'کد پستی', '', ''),
(160, 23, 1, 'شبکه دیجیتال', '', ''),
(164, 24, 1, 'کامپیوتر', '', ''),
(166, 38, 1, 'بودجه', 'empty,new,sold,action', ''),
(180, 1, 1, 'مرور', '', ''),
(220, 22, 1, 'سیستم تهویه', '', ''),
(228, 42, 1, 'امکانات پنهان', '', ''),
(234, 39, 1, 'Energy efficiency', '-,A++,A+,A,B,C,D,E,F,G,H', ''),
(240, 25, 1, 'پارکینگ', '', ''),
(243, 27, 1, 'سیستم سرمایشی', '', ''),
(246, 28, 1, 'سیستم گرمایشی', '', ''),
(249, 29, 1, 'اینترنت', '', ''),
(252, 30, 1, 'گاز', '', ''),
(255, 31, 1, 'تلفن', '', ''),
(258, 32, 1, 'برق', '', ''),
(261, 33, 1, 'استخر', '', ''),
(267, 6, 1, 'آیکون', 'empty,commercial,house,land,apartment', ''),
(270, 19, 1, 'سرویس بهداشتی', '', ''),
(273, 20, 1, 'اتاق خواب', '', ''),
(276, 36, 1, 'قیمت', '', 'تومان'),
(279, 5, 1, 'استان', 'آذربایجان شرقی,آذربایجان غربی,اردبیل,اصفهان,البرز,ایلام,بوشهر,تهران,خراسان جنوبی,خراسان رضوی,خراسان شمالی,خوزستان,زنجان,سمنان,سیستان وبلوچستان,فارس,قزوین,قم,لرستان,مازندران,مرکزی,هرمزگان,همدان,چهارمحال بختیاری,کردستان,کرمان,کرمانشاه,کهگلویه وبویراحمد,گلستان,گیلان,یزد', ''),
(285, 10, 1, 'عنوان آگهی', '', ''),
(288, 8, 1, 'توضیحات', '', ''),
(291, 17, 1, 'توضیحات کامل', '', ''),
(292, 4, 1, 'نوع ملک', 'فروش,اجاره,فروش یا اجاره,سرقفلی', '');

-- --------------------------------------------------------

--
-- Table structure for table `page`
--

CREATE TABLE IF NOT EXISTS `page` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT NULL,
  `order` int(11) DEFAULT NULL,
  `type` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `date_publish` datetime DEFAULT NULL,
  `template` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `slug` varchar(160) COLLATE utf8_unicode_ci DEFAULT NULL,
  `repository_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

--
-- Dumping data for table `page`
--

INSERT INTO `page` (`id`, `parent_id`, `order`, `type`, `date`, `date_publish`, `template`, `slug`, `repository_id`) VALUES
(1, 0, 1, NULL, NULL, NULL, 'page_homepage', NULL, 40),
(3, 0, 3, NULL, NULL, NULL, 'page_rent', NULL, 26),
(4, 0, 5, NULL, NULL, NULL, 'page_contact', NULL, 25),
(5, 0, 4, NULL, '2013-12-12 16:01:35', NULL, 'page_agents', NULL, 24),
(6, 0, 2, NULL, '2013-12-29 12:06:05', NULL, 'page_homepage-slideshow', NULL, 182);

-- --------------------------------------------------------

--
-- Table structure for table `page_lang`
--

CREATE TABLE IF NOT EXISTS `page_lang` (
  `id_page_lang` int(11) NOT NULL AUTO_INCREMENT,
  `page_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `title` varchar(160) COLLATE utf8_unicode_ci DEFAULT NULL,
  `navigation_title` varchar(160) COLLATE utf8_unicode_ci DEFAULT NULL,
  `body` text COLLATE utf8_unicode_ci,
  `description` text COLLATE utf8_unicode_ci,
  `keywords` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id_page_lang`),
  KEY `fk_page_language1` (`language_id`),
  KEY `fk_page_lang_page1` (`page_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=279 ;

--
-- Dumping data for table `page_lang`
--

INSERT INTO `page_lang` (`id_page_lang`, `page_id`, `language_id`, `title`, `navigation_title`, `body`, `description`, `keywords`) VALUES
(241, 3, 1, 'Rent', 'Rent', '', '', ''),
(273, 1, 1, 'صفحه نخست', 'خانه', '<br>', '', ''),
(276, 6, 1, 'اسلایدر', 'اسلایدر', '<br>', '', 'Slideshow'),
(277, 5, 1, 'درباره ما', 'درباره ما', 'لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. کتابهای زیادی در شصت و سه درصد گذشته، حال و آینده شناخت فراوان جامعه و متخصصان را می طلبد تا با نرم افزارها شناخت بیستری را برای طراحان رایانه ای و فرهنگ پیشرو در زبان فارسی ایجاد کرد. در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها و شرایط سخت تایپ به پایان رسد وزمان مورد نیاز شامل حروفچینی دستاوردهای اصلی و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.<br><br><span style="font-weight: bold;">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. کتابهای زیادی در شصت و سه درصد گذشته، حال و آینده شناخت فراوان جامعه و متخصصان را می طلبد تا با نرم افزارها شناخت بیستری را برای طراحان رایانه ای و فرهنگ پیشرو در زبان فارسی ایجاد کرد. در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها و شرایط سخت تایپ به پایان رسد وزمان مورد نیاز شامل حروفچینی دستاوردهای اصلی و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</span><br>', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse sollicitudin commodo cursus. Nunc varius accumsan ultrices.', 'About'),
(278, 4, 1, 'تماس با ما', 'تماس با ما', 'املاک حق پرور<br>نیشابور<br>خیابان امام خمینی<br>روبروی مسجد جامع<br>05143221982<br>', 'توضیحات کوتاه درباره تماس با ما', 'Contact');

-- --------------------------------------------------------

--
-- Table structure for table `property`
--

CREATE TABLE IF NOT EXISTS `property` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gps` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `address` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `type` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'housing\nhouse\nland\nbusiness premises',
  `repository_id` int(11) DEFAULT NULL,
  `is_featured` tinyint(1) DEFAULT '0',
  `search_values` text COLLATE utf8_unicode_ci,
  `is_activated` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=34 ;

--
-- Dumping data for table `property`
--

INSERT INTO `property` (`id`, `gps`, `date`, `address`, `type`, `repository_id`, `is_featured`, `search_values`, `is_activated`) VALUES
(31, '36.21544309670951, 58.781299933837886', '2014-07-16 10:37:30', 'نیشابور, میدان حافظ', NULL, 204, 1, 'نیشابور, میدان حافظ آگهی فروش منزل new house  فروش یا اجاره ویلا خراسان رضوی نیشابور 9313712345 100 تا 150 متر A+ 1 2 50000000 200000  trueبالکن trueسیستم تهویه trueشبکه دیجیتال trueکامپیوتر  trueسیستم سرمایشی trueسیستم گرمایشی trueاینترنت trueگاز trueتلفن trueبرق  empty empty  Prodaja      -      ', 1),
(32, '36.2169809, 58.79545170000006', '2014-09-06 09:50:47', 'نیشابور امیرکبیر', NULL, 206, 1, 'نیشابور امیرکبیر یلیبل sold commercial  فروش ویلا خراسان رضوی نیشابور 9313712345 100 تا 150 متر A+ 5 6 50000000 200000  trueسیستم تهویه trueشبکه دیجیتال trueکامپیوتر ', 1),
(33, '36.3566943, 59.48866279999993', '2014-12-18 20:12:56', 'مشهد مطهری', NULL, 207, 0, 'مشهد مطهری آگهی فروش منزل 300 متری new commercial  فروش آپارتمان خراسان رضوی نیشابور 9313712345 کمتر از 50 متر A      trueبالکن ', 1);

-- --------------------------------------------------------

--
-- Table structure for table `property_user`
--

CREATE TABLE IF NOT EXISTS `property_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `property_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_property_has_user_user1` (`user_id`),
  KEY `fk_property_has_user_property1` (`property_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `property_value`
--

CREATE TABLE IF NOT EXISTS `property_value` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `language_id` int(11) NOT NULL,
  `property_id` int(11) NOT NULL,
  `option_id` int(11) NOT NULL,
  `value` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `fk_property_value_language1` (`language_id`),
  KEY `fk_property_value_property1` (`property_id`),
  KEY `fk_property_value_option1` (`option_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9258 ;

--
-- Dumping data for table `property_value`
--

INSERT INTO `property_value` (`id`, `language_id`, `property_id`, `option_id`, `value`) VALUES
(9072, 1, 31, 10, 'آگهی فروش منزل'),
(9073, 1, 31, 8, 'لورم ایپسوم یا طرح‌نما (به انگلیسی: Lorem ipsum) به متنی آزمایشی و \r\nبی‌معنی در صنعت چاپ، صفحه‌آرایی و طراحی گرافیک گفته می‌شود. طراح گرافیک \r\nاز این متن به عنوان عنصری از ترکیب بندی برای پر کردن صفحه و ارایه اولیه \r\nشکل ظاهری و کلی طرح سفارش گرفته شده استفاده می نماید، تا از نظر گرافیکی \r\nنشانگر چگونگی نوع و اندازه فونت و ظاهر متن باشد. معمولا طراحان گرافیک \r\nبرای صفحه‌آرایی، نخست از متن‌های آزمایشی و بی‌معنی استفاده می‌کنند تا \r\nصرفا به مشتری یا صاحب کار خود نشان دهند که صفحه طراحی یا صفحه بندی شده \r\nبعد از اینکه متن در آن قرار گیرد چگونه به نظر می‌رسد و قلم‌ها و \r\nاندازه‌بندی‌ها چگونه در نظر گرفته شده‌است'),
(9074, 1, 31, 17, 'لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد. کتابهای زیادی در شصت و سه درصد گذشته، حال و آینده شناخت فراوان جامعه و متخصصان را می طلبد تا با نرم افزارها شناخت بیستری را برای طراحان رایانه ای و فرهنگ پیشرو در زبان فارسی ایجاد کرد. در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها و شرایط سخت تایپ به پایان رسد وزمان مورد نیاز شامل حروفچینی دستاوردهای اصلی و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.'),
(9075, 1, 31, 38, 'new'),
(9076, 1, 31, 6, 'house'),
(9077, 1, 31, 1, '0'),
(9078, 1, 31, 4, 'فروش یا اجاره'),
(9079, 1, 31, 2, 'ویلا'),
(9080, 1, 31, 5, 'خراسان رضوی'),
(9081, 1, 31, 7, 'نیشابور'),
(9082, 1, 31, 40, '9313712345'),
(9083, 1, 31, 3, '100 تا 150 متر'),
(9084, 1, 31, 39, 'A+'),
(9085, 1, 31, 19, '1'),
(9086, 1, 31, 20, '2'),
(9087, 1, 31, 36, '50000000'),
(9088, 1, 31, 37, '200000'),
(9089, 1, 31, 21, '0'),
(9090, 1, 31, 11, 'true'),
(9091, 1, 31, 22, 'true'),
(9092, 1, 31, 23, 'true'),
(9093, 1, 31, 24, 'true'),
(9094, 1, 31, 42, '0'),
(9095, 1, 31, 25, '0'),
(9096, 1, 31, 27, 'true'),
(9097, 1, 31, 28, 'true'),
(9098, 1, 31, 29, 'true'),
(9099, 1, 31, 30, 'true'),
(9100, 1, 31, 31, 'true'),
(9101, 1, 31, 32, 'true'),
(9102, 1, 31, 33, '0'),
(9165, 1, 32, 10, 'یلیبل'),
(9166, 1, 32, 8, 'یلیبلیبل'),
(9167, 1, 32, 17, 'یبلبیلیبلیبل'),
(9168, 1, 32, 38, 'sold'),
(9169, 1, 32, 6, 'commercial'),
(9170, 1, 32, 1, '0'),
(9171, 1, 32, 4, 'فروش'),
(9172, 1, 32, 2, 'ویلا'),
(9173, 1, 32, 5, 'خراسان رضوی'),
(9174, 1, 32, 7, 'نیشابور'),
(9175, 1, 32, 40, '9313712345'),
(9176, 1, 32, 3, '100 تا 150 متر'),
(9177, 1, 32, 39, 'A+'),
(9178, 1, 32, 19, '5'),
(9179, 1, 32, 20, '6'),
(9180, 1, 32, 36, '50000000'),
(9181, 1, 32, 37, '200000'),
(9182, 1, 32, 21, '0'),
(9183, 1, 32, 11, '0'),
(9184, 1, 32, 22, 'true'),
(9185, 1, 32, 23, 'true'),
(9186, 1, 32, 24, 'true'),
(9187, 1, 32, 42, '0'),
(9188, 1, 32, 25, '0'),
(9189, 1, 32, 27, '0'),
(9190, 1, 32, 28, '0'),
(9191, 1, 32, 29, '0'),
(9192, 1, 32, 30, '0'),
(9193, 1, 32, 31, '0'),
(9194, 1, 32, 32, '0'),
(9195, 1, 32, 33, '0'),
(9227, 1, 33, 10, 'آگهی فروش منزل 300 متری'),
(9228, 1, 33, 8, 'تست میکنم<br>'),
(9229, 1, 33, 17, 'تست میکنم'),
(9230, 1, 33, 38, 'new'),
(9231, 1, 33, 6, 'commercial'),
(9232, 1, 33, 1, '0'),
(9233, 1, 33, 4, 'فروش'),
(9234, 1, 33, 2, 'آپارتمان'),
(9235, 1, 33, 5, 'خراسان رضوی'),
(9236, 1, 33, 7, 'نیشابور'),
(9237, 1, 33, 40, '9313712345'),
(9238, 1, 33, 3, 'کمتر از 50 متر'),
(9239, 1, 33, 39, 'A'),
(9240, 1, 33, 19, ''),
(9241, 1, 33, 20, ''),
(9242, 1, 33, 36, ''),
(9243, 1, 33, 37, ''),
(9244, 1, 33, 21, '0'),
(9245, 1, 33, 11, 'true'),
(9246, 1, 33, 22, '0'),
(9247, 1, 33, 23, '0'),
(9248, 1, 33, 24, '0'),
(9249, 1, 33, 42, '0'),
(9250, 1, 33, 25, '0'),
(9251, 1, 33, 27, '0'),
(9252, 1, 33, 28, '0'),
(9253, 1, 33, 29, '0'),
(9254, 1, 33, 30, '0'),
(9255, 1, 33, 31, '0'),
(9256, 1, 33, 32, '0'),
(9257, 1, 33, 33, '0');

-- --------------------------------------------------------

--
-- Table structure for table `repository`
--

CREATE TABLE IF NOT EXISTS `repository` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=208 ;

--
-- Dumping data for table `repository`
--

INSERT INTO `repository` (`id`, `name`) VALUES
(22, 'slideshow_m'),
(23, 'page_m'),
(24, 'page_m'),
(25, 'page_m'),
(26, 'page_m'),
(40, 'page_m'),
(41, 'page_m'),
(42, 'page_m'),
(43, 'page_m'),
(44, 'page_m'),
(45, 'page_m'),
(46, 'page_m'),
(47, 'page_m'),
(48, 'page_m'),
(49, 'page_m'),
(50, 'page_m'),
(51, 'page_m'),
(52, 'page_m'),
(53, 'page_m'),
(54, 'page_m'),
(55, 'page_m'),
(56, 'page_m'),
(57, 'page_m'),
(58, 'page_m'),
(59, 'page_m'),
(60, 'page_m'),
(61, 'page_m'),
(62, 'page_m'),
(63, 'page_m'),
(64, 'page_m'),
(65, 'page_m'),
(66, 'page_m'),
(67, 'page_m'),
(68, 'page_m'),
(69, 'page_m'),
(70, 'page_m'),
(71, 'page_m'),
(72, 'page_m'),
(73, 'page_m'),
(74, 'page_m'),
(75, 'page_m'),
(76, 'page_m'),
(77, 'page_m'),
(78, 'page_m'),
(79, 'page_m'),
(80, 'page_m'),
(81, 'page_m'),
(82, 'page_m'),
(83, 'page_m'),
(84, 'page_m'),
(85, 'page_m'),
(86, 'page_m'),
(87, 'page_m'),
(88, 'page_m'),
(89, 'page_m'),
(90, 'page_m'),
(91, 'page_m'),
(92, 'page_m'),
(93, 'page_m'),
(94, 'page_m'),
(95, 'page_m'),
(96, 'page_m'),
(97, 'page_m'),
(98, 'page_m'),
(99, 'page_m'),
(100, 'page_m'),
(101, 'page_m'),
(102, 'page_m'),
(103, 'page_m'),
(104, 'page_m'),
(105, 'page_m'),
(106, 'page_m'),
(107, 'page_m'),
(108, 'page_m'),
(109, 'page_m'),
(110, 'page_m'),
(111, 'page_m'),
(112, 'page_m'),
(113, 'page_m'),
(114, 'page_m'),
(115, 'page_m'),
(116, 'page_m'),
(117, 'page_m'),
(118, 'page_m'),
(119, 'page_m'),
(120, 'page_m'),
(121, 'page_m'),
(122, 'page_m'),
(123, 'page_m'),
(124, 'page_m'),
(125, 'page_m'),
(126, 'page_m'),
(127, 'page_m'),
(128, 'page_m'),
(129, 'page_m'),
(130, 'page_m'),
(131, 'page_m'),
(132, 'page_m'),
(133, 'page_m'),
(134, 'page_m'),
(135, 'page_m'),
(136, 'page_m'),
(137, 'page_m'),
(138, 'page_m'),
(139, 'page_m'),
(140, 'page_m'),
(141, 'page_m'),
(142, 'page_m'),
(143, 'page_m'),
(144, 'page_m'),
(145, 'page_m'),
(146, 'page_m'),
(147, 'page_m'),
(148, 'page_m'),
(149, 'page_m'),
(150, 'page_m'),
(151, 'page_m'),
(152, 'page_m'),
(153, 'page_m'),
(154, 'page_m'),
(155, 'page_m'),
(156, 'page_m'),
(157, 'page_m'),
(158, 'page_m'),
(159, 'page_m'),
(160, 'page_m'),
(161, 'page_m'),
(162, 'page_m'),
(163, 'page_m'),
(164, 'page_m'),
(165, 'page_m'),
(166, 'page_m'),
(167, 'page_m'),
(168, 'page_m'),
(169, 'page_m'),
(170, 'page_m'),
(171, 'page_m'),
(172, 'page_m'),
(173, 'page_m'),
(174, 'page_m'),
(175, 'page_m'),
(176, 'page_m'),
(177, 'page_m'),
(178, 'page_m'),
(179, 'page_m'),
(180, 'page_m'),
(181, 'page_m'),
(182, 'page_m'),
(186, 'user_m'),
(204, 'estate_m'),
(206, 'estate_m'),
(207, 'estate_m');

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `value` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=267 ;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`id`, `field`, `value`) VALUES
(245, 'noreply', 'webform@my-website.com'),
(246, 'zoom', '15'),
(250, 'template', 'bootstrap2-responsive'),
(251, 'tracking', '<script type="text/javascript">\r\n\r\n  var _gaq = _gaq || [];\r\n  _gaq.push([''_setAccount'', ''UA-683342-5'']);\r\n  _gaq.push([''_trackPageview'']);\r\n\r\n  (function() {\r\n    var ga = document.createElement(''script''); ga.type = ''text/javascript''; ga.async = true;\r\n    ga.src = (''https:'' == document.location.protocol ? ''https://ssl'' : ''http://www'') + ''.google-analytics.com/ga.js'';\r\n    var s = document.getElementsByTagName(''script'')[0]; s.parentNode.insertBefore(ga, s);\r\n  })();\r\n\r\n</script>'),
(252, 'facebook', '<!-- AddThis Button BEGIN -->\r\n<div class="addthis_toolbox addthis_default_style addthis_32x32_style">\r\n<a class="addthis_button_facebook">\r\n    <div class="custom-icon at15t_facebook"> </div>\r\n</a>\r\n<a class="addthis_button_twitter">\r\n    <div class="custom-icon at15t_twitter"> </div>\r\n</a>\r\n<a class="addthis_button_google_plusone_share">\r\n    <div class="custom-icon at15t_google_plusone_share"> </div>\r\n</a>\r\n</div>\r\n<script type="text/javascript">var addthis_config = {"data_track_addressbar":false};</script>\r\n<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=sandiwinter"></script>\r\n<!-- AddThis Button END -->'),
(260, 'address', 'نیشابور, میدان حافظ , خیابان شهید غرویان'),
(261, 'gps', '36.21516610304535, 58.782072410034175'),
(262, 'email', 'info@reza.com'),
(263, 'email_alert', '0'),
(264, 'phone', '05143221982'),
(265, 'fax', '05143221982'),
(266, 'address_footer', 'املاک پرشین اسکریپت<br />\r\nخیابان 22 شفق<br />\r\nکوچه سوم');

-- --------------------------------------------------------

--
-- Table structure for table `slideshow`
--

CREATE TABLE IF NOT EXISTS `slideshow` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `repository_id` int(11) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Dumping data for table `slideshow`
--

INSERT INTO `slideshow` (`id`, `repository_id`, `date`) VALUES
(2, 22, '2013-12-29 11:53:16');

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `password` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name_surname` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8_unicode_ci,
  `description` text COLLATE utf8_unicode_ci,
  `phone` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mail` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `last_login` datetime DEFAULT NULL,
  `registration_date` datetime DEFAULT NULL,
  `type` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'ADMIN\nAGENT\nUSER',
  `language` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `repository_id` int(11) DEFAULT NULL,
  `activated` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`id`, `username`, `password`, `name_surname`, `address`, `description`, `phone`, `mail`, `last_login`, `registration_date`, `type`, `language`, `repository_id`, `activated`) VALUES
(8, 'persianscript', 'a114285c9e', 'محمد مجیدی', 'خراسان رضوی -', '', '+385 (0)91 234 654', 'admin@admin.admin', '2014-12-18 20:56:43', '2013-12-29 11:39:04', 'ADMIN', 'english', 186, 1);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `enquire`
--
ALTER TABLE `enquire`
  ADD CONSTRAINT `fk_enquire_property1` FOREIGN KEY (`property_id`) REFERENCES `property` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `file`
--
ALTER TABLE `file`
  ADD CONSTRAINT `fk_file_repository1` FOREIGN KEY (`repository_id`) REFERENCES `repository` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `option_lang`
--
ALTER TABLE `option_lang`
  ADD CONSTRAINT `fk_option_lang_language1` FOREIGN KEY (`language_id`) REFERENCES `language` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_option_lang_option1` FOREIGN KEY (`option_id`) REFERENCES `option` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `page_lang`
--
ALTER TABLE `page_lang`
  ADD CONSTRAINT `fk_page_language10` FOREIGN KEY (`language_id`) REFERENCES `language` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_page_lang_page1` FOREIGN KEY (`page_id`) REFERENCES `page` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `property_user`
--
ALTER TABLE `property_user`
  ADD CONSTRAINT `fk_property_has_user_property1` FOREIGN KEY (`property_id`) REFERENCES `property` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_property_has_user_user1` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `property_value`
--
ALTER TABLE `property_value`
  ADD CONSTRAINT `fk_property_value_language1` FOREIGN KEY (`language_id`) REFERENCES `language` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_property_value_option1` FOREIGN KEY (`option_id`) REFERENCES `option` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_property_value_property1` FOREIGN KEY (`property_id`) REFERENCES `property` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
