<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Site URL without suffix
 *
 * Create a local URL based on your basepath. Segments can be passed via the
 * first parameter either as a string or an array.
 *
 * @access	public
 * @param	string
 * @return	string
 */	
if (! function_exists('site_url_nosuff'))
{
	function site_url_nosuff($uri = '')
	{
		$CI =& get_instance();
		return str_replace($CI->config->item('url_suffix'), '', $CI->config->site_url($uri));
	}
}

if (! function_exists('site_url_q'))
{
	function site_url_q($uri = '', $q)
	{
		$CI =& get_instance();
        
        if($CI->config->item('enable_query_strings') == TRUE || 
           $CI->config->item('uri_protocol') == 'QUERY_STRING')
        {
            return $CI->config->site_url($uri).'&'.$q;
        }
        else
        {
            return $CI->config->site_url($uri).'?'.$q;
        }
	}
}

/**
 * Create URL Title
 *
 * Takes a "title" string as input and creates a
 * human-friendly URL string with either a dash
 * or an underscore as the word separator.
 *
 * @access	public
 * @param	string	the string
 * @param	string	the separator: dash, or underscore
 * @return	string
 */
if (! function_exists('url_title_cro'))
{
	function url_title_cro($str, $separator = 'underscore', $lowercase = TRUE)
	{
		if ($separator == 'dash')
		{
			$search		= '_';
			$replace	= '-';
		}
		else
		{
			$search		= '-';
			$replace	= '_';
		}
		
		$dot='';
		if($separator == 'dot'){
			$str = str_replace(' ', '.', $str);
			$dot='.';
		}
		
		$trans = array(
						$search								=> $replace,
						"\s+"								=> $replace,
						"[^a-z0-9".$replace.$dot."]"		=> '',
						$replace."+"						=> $replace,
						$replace."$"						=> '',
						"^".$replace						=> ''
					   );
        
        // For Croatia
		$str = str_replace(array('č','ć','ž','š','đ', 'Č','Ć','Ž','Š','Đ'), 
						   array('c','c','z','s','d', 'c','c','z','s','d'), $str);
                           
        // For Turkish
		$str = str_replace(array('ş','Ş','ı','İ','ğ','Ğ','Ü','ü','Ö','ö','ç','Ç'),
						   array('s','s','i','i','g','g','u','u','o','o','c','c'), $str);  
        
        $str = strip_tags(strtolower($str));

		
		foreach ($trans as $key => $val)
		{
			$str = preg_replace("#".$key."#", $val, $str);
		}
	
		return trim(stripslashes($str));
	}
}

?>